!! ##############################################################################################
!!
!! Copyright 2012-2024 CNRS, INPT
!! Copyright 2013-2015 UPS
!!
!! This file is part of qr_mumps.
!!
!! qr_mumps is free software: you can redistribute it and/or modify
!! it under the terms of the GNU Lesser General Public License as
!! published by the Free Software Foundation, either version 3 of
!! the License, or (at your option) any later version.
!!
!! qr_mumps is distributed in the hope that it will be useful,
!! but WITHOUT ANY WARRANTY; without even the implied warranty of
!! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!! GNU Lesser General Public License for more details.
!!
!! You can find a copy of the GNU Lesser General Public License
!! in the qr_mumps/doc directory.
!!
!! ##############################################################################################

subroutine sqrm_spfct_trsm_init_front(qrm_spfct, front, front_slv, info)
  use sqrm_spfct_mod
  use sqrm_fdata_mod
  use sqrm_sdata_mod
  use sqrm_solve_mod, protect => sqrm_spfct_trsm_init_front
  implicit none

  type(sqrm_spfct_type) :: qrm_spfct
  type(sqrm_front_type) :: front
  type(sqrm_rhs_type)   :: front_slv
  integer               :: info

  info = 0
  ! write(*,*)'initing front ',front%num
  return
end subroutine sqrm_spfct_trsm_init_front

